NXOpen.UF.ModlFeatures.CreateRectGroove

ModlFeatures.CreateRectGroove()

Refer to UF_MODL_create_rect_groove for documentation.

Signature: CreateRectGroove(location, direction, diame, width, face)

Parameters:
  • location (list of float) – Rectangular groove location.
  • direction (list of float) – Rectangular groove direction.
  • diame (str) – Rectangular groove diameter.
  • width (str) – Rectangular groove width.
  • face (Tag) – Face for the RPO constraint. The face should be of type UF_cylinder_type or UF_cone_type.
Returns:

Feature object identifier of created rectangular groove

Return type:

Tag

License requirements: SOLIDS MODELING